> ## Documentation Index
> Fetch the complete documentation index at: https://dom-6a1f70d6.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Souscrire Abonnement

> Permet à un marchand de souscrire à un abonnement standard de 30 jours.



## OpenAPI

````yaml openapi.json post /abonnements/souscrire
openapi: 3.0.3
info:
  title: DELIVERY API
  description: API pour la plateforme fournissant une api de gestion de livraison
  version: 1.0.0
servers: []
security: []
paths:
  /abonnements/souscrire:
    post:
      tags:
        - Abonnements
        - Abonnements
      summary: Souscrire Abonnement
      description: Permet à un marchand de souscrire à un abonnement standard de 30 jours.
      operationId: souscrire_abonnement_abonnements_souscrire_post
      parameters:
        - name: marchand_id
          in: query
          required: true
          schema:
            type: string
            format: uuid
            title: Marchand Id
        - name: montant
          in: query
          required: true
          schema:
            type: number
            title: Montant
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.